unit DemoImpl;

interface

uses
  DemoIntf, InvokeRegistry;

type
  TDemo = class(TInvokableClass, IDemo)
  protected
    function Divide(A, B: integer): double; stdcall;
    function GetQuote(const Symbol: string): string; stdcall;
  end;

implementation

uses
  SysUtils;

function TDemo.Divide(A, B: integer): double;
begin
  Result := 0;
  if B <> 0 then
    Result := A/B;
end;

function TDemo.GetQuote(const Symbol: string): string;
begin
  Result := '0.00';
  if SameText(Symbol, 'BORL') then
    Result := 'LOTS';
end;

initialization
  InvRegistry.RegisterInvokableClass(TDemo);

end.
